ipcget
Prev | IPC utilities | Next

## Name

ipcget — Common sys_*`get` code

## Synopsis

`int ipcget (` | struct ipc_namespace * | ns,
| struct ipc_ids * | ids,
| struct ipc_ops * | ops,
| struct ipc_params * | params`)`;

## Arguments

`ns`

  namsepace

`ids`

  IPC identifier set

`ops`

  operations to be called on ipc object creation, permission checks and further checks

`params`

  the parameters needed by the previous operations.

## Description

Common routine called by `sys_msgget`, `sys_semget` and `sys_shmget`.

Prev | Up | Next
ipc_lock_down | Home | ipc_parse_version